Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network23.96.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
23.96.0.0
Broadcast address
23.127.255.255
First usable
23.96.0.1
Last usable
23.127.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
A (default /8)
As numbers
Hex 17600000 · Integer 392167424 to 394264575
Reverse DNS zones
96.23.in-addr.arpa
97.23.in-addr.arpa
98.23.in-addr.arpa
99.23.in-addr.arpa
100.23.in-addr.arpa
101.23.in-addr.arpa
102.23.in-addr.arpa
103.23.in-addr.arpa
104.23.in-addr.arpa
105.23.in-addr.arpa
106.23.in-addr.arpa
107.23.in-addr.arpa
108.23.in-addr.arpa
109.23.in-addr.arpa
110.23.in-addr.arpa
111.23.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00010111.01100000.00000000.0000000023.96.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network00010111.01100000.00000000.0000000023.96.0.0
Broadcast00010111.01111111.11111111.1111111123.127.255.255
Split into smaller subnets/18

23.96.0.0/11 makes 128 subnets of /18.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
123.96.0.0/1823.96.0.1 to 23.96.63.25423.96.63.25516,382
223.96.64.0/1823.96.64.1 to 23.96.127.25423.96.127.25516,382
323.96.128.0/1823.96.128.1 to 23.96.191.25423.96.191.25516,382
423.96.192.0/1823.96.192.1 to 23.96.255.25423.96.255.25516,382
523.97.0.0/1823.97.0.1 to 23.97.63.25423.97.63.25516,382
623.97.64.0/1823.97.64.1 to 23.97.127.25423.97.127.25516,382
723.97.128.0/1823.97.128.1 to 23.97.191.25423.97.191.25516,382
823.97.192.0/1823.97.192.1 to 23.97.255.25423.97.255.25516,382
923.98.0.0/1823.98.0.1 to 23.98.63.25423.98.63.25516,382
1023.98.64.0/1823.98.64.1 to 23.98.127.25423.98.127.25516,382
1123.98.128.0/1823.98.128.1 to 23.98.191.25423.98.191.25516,382
1223.98.192.0/1823.98.192.1 to 23.98.255.25423.98.255.25516,382
1323.99.0.0/1823.99.0.1 to 23.99.63.25423.99.63.25516,382
1423.99.64.0/1823.99.64.1 to 23.99.127.25423.99.127.25516,382
1523.99.128.0/1823.99.128.1 to 23.99.191.25423.99.191.25516,382
1623.99.192.0/1823.99.192.1 to 23.99.255.25423.99.255.25516,382
1723.100.0.0/1823.100.0.1 to 23.100.63.25423.100.63.25516,382
1823.100.64.0/1823.100.64.1 to 23.100.127.25423.100.127.25516,382
1923.100.128.0/1823.100.128.1 to 23.100.191.25423.100.191.25516,382
2023.100.192.0/1823.100.192.1 to 23.100.255.25423.100.255.25516,382
2123.101.0.0/1823.101.0.1 to 23.101.63.25423.101.63.25516,382
2223.101.64.0/1823.101.64.1 to 23.101.127.25423.101.127.25516,382
2323.101.128.0/1823.101.128.1 to 23.101.191.25423.101.191.25516,382
2423.101.192.0/1823.101.192.1 to 23.101.255.25423.101.255.25516,382
2523.102.0.0/1823.102.0.1 to 23.102.63.25423.102.63.25516,382
2623.102.64.0/1823.102.64.1 to 23.102.127.25423.102.127.25516,382
2723.102.128.0/1823.102.128.1 to 23.102.191.25423.102.191.25516,382
2823.102.192.0/1823.102.192.1 to 23.102.255.25423.102.255.25516,382
2923.103.0.0/1823.103.0.1 to 23.103.63.25423.103.63.25516,382
3023.103.64.0/1823.103.64.1 to 23.103.127.25423.103.127.25516,382
3123.103.128.0/1823.103.128.1 to 23.103.191.25423.103.191.25516,382
3223.103.192.0/1823.103.192.1 to 23.103.255.25423.103.255.25516,382
3323.104.0.0/1823.104.0.1 to 23.104.63.25423.104.63.25516,382
3423.104.64.0/1823.104.64.1 to 23.104.127.25423.104.127.25516,382
3523.104.128.0/1823.104.128.1 to 23.104.191.25423.104.191.25516,382
3623.104.192.0/1823.104.192.1 to 23.104.255.25423.104.255.25516,382
3723.105.0.0/1823.105.0.1 to 23.105.63.25423.105.63.25516,382
3823.105.64.0/1823.105.64.1 to 23.105.127.25423.105.127.25516,382
3923.105.128.0/1823.105.128.1 to 23.105.191.25423.105.191.25516,382
4023.105.192.0/1823.105.192.1 to 23.105.255.25423.105.255.25516,382
4123.106.0.0/1823.106.0.1 to 23.106.63.25423.106.63.25516,382
4223.106.64.0/1823.106.64.1 to 23.106.127.25423.106.127.25516,382
4323.106.128.0/1823.106.128.1 to 23.106.191.25423.106.191.25516,382
4423.106.192.0/1823.106.192.1 to 23.106.255.25423.106.255.25516,382
4523.107.0.0/1823.107.0.1 to 23.107.63.25423.107.63.25516,382
4623.107.64.0/1823.107.64.1 to 23.107.127.25423.107.127.25516,382
4723.107.128.0/1823.107.128.1 to 23.107.191.25423.107.191.25516,382
4823.107.192.0/1823.107.192.1 to 23.107.255.25423.107.255.25516,382
4923.108.0.0/1823.108.0.1 to 23.108.63.25423.108.63.25516,382
5023.108.64.0/1823.108.64.1 to 23.108.127.25423.108.127.25516,382
5123.108.128.0/1823.108.128.1 to 23.108.191.25423.108.191.25516,382
5223.108.192.0/1823.108.192.1 to 23.108.255.25423.108.255.25516,382
5323.109.0.0/1823.109.0.1 to 23.109.63.25423.109.63.25516,382
5423.109.64.0/1823.109.64.1 to 23.109.127.25423.109.127.25516,382
5523.109.128.0/1823.109.128.1 to 23.109.191.25423.109.191.25516,382
5623.109.192.0/1823.109.192.1 to 23.109.255.25423.109.255.25516,382
5723.110.0.0/1823.110.0.1 to 23.110.63.25423.110.63.25516,382
5823.110.64.0/1823.110.64.1 to 23.110.127.25423.110.127.25516,382
5923.110.128.0/1823.110.128.1 to 23.110.191.25423.110.191.25516,382
6023.110.192.0/1823.110.192.1 to 23.110.255.25423.110.255.25516,382
6123.111.0.0/1823.111.0.1 to 23.111.63.25423.111.63.25516,382
6223.111.64.0/1823.111.64.1 to 23.111.127.25423.111.127.25516,382
6323.111.128.0/1823.111.128.1 to 23.111.191.25423.111.191.25516,382
6423.111.192.0/1823.111.192.1 to 23.111.255.25423.111.255.25516,382
6523.112.0.0/1823.112.0.1 to 23.112.63.25423.112.63.25516,382
6623.112.64.0/1823.112.64.1 to 23.112.127.25423.112.127.25516,382
6723.112.128.0/1823.112.128.1 to 23.112.191.25423.112.191.25516,382
6823.112.192.0/1823.112.192.1 to 23.112.255.25423.112.255.25516,382
6923.113.0.0/1823.113.0.1 to 23.113.63.25423.113.63.25516,382
7023.113.64.0/1823.113.64.1 to 23.113.127.25423.113.127.25516,382
7123.113.128.0/1823.113.128.1 to 23.113.191.25423.113.191.25516,382
7223.113.192.0/1823.113.192.1 to 23.113.255.25423.113.255.25516,382
7323.114.0.0/1823.114.0.1 to 23.114.63.25423.114.63.25516,382
7423.114.64.0/1823.114.64.1 to 23.114.127.25423.114.127.25516,382
7523.114.128.0/1823.114.128.1 to 23.114.191.25423.114.191.25516,382
7623.114.192.0/1823.114.192.1 to 23.114.255.25423.114.255.25516,382
7723.115.0.0/1823.115.0.1 to 23.115.63.25423.115.63.25516,382
7823.115.64.0/1823.115.64.1 to 23.115.127.25423.115.127.25516,382
7923.115.128.0/1823.115.128.1 to 23.115.191.25423.115.191.25516,382
8023.115.192.0/1823.115.192.1 to 23.115.255.25423.115.255.25516,382
8123.116.0.0/1823.116.0.1 to 23.116.63.25423.116.63.25516,382
8223.116.64.0/1823.116.64.1 to 23.116.127.25423.116.127.25516,382
8323.116.128.0/1823.116.128.1 to 23.116.191.25423.116.191.25516,382
8423.116.192.0/1823.116.192.1 to 23.116.255.25423.116.255.25516,382
8523.117.0.0/1823.117.0.1 to 23.117.63.25423.117.63.25516,382
8623.117.64.0/1823.117.64.1 to 23.117.127.25423.117.127.25516,382
8723.117.128.0/1823.117.128.1 to 23.117.191.25423.117.191.25516,382
8823.117.192.0/1823.117.192.1 to 23.117.255.25423.117.255.25516,382
8923.118.0.0/1823.118.0.1 to 23.118.63.25423.118.63.25516,382
9023.118.64.0/1823.118.64.1 to 23.118.127.25423.118.127.25516,382
9123.118.128.0/1823.118.128.1 to 23.118.191.25423.118.191.25516,382
9223.118.192.0/1823.118.192.1 to 23.118.255.25423.118.255.25516,382
9323.119.0.0/1823.119.0.1 to 23.119.63.25423.119.63.25516,382
9423.119.64.0/1823.119.64.1 to 23.119.127.25423.119.127.25516,382
9523.119.128.0/1823.119.128.1 to 23.119.191.25423.119.191.25516,382
9623.119.192.0/1823.119.192.1 to 23.119.255.25423.119.255.25516,382
9723.120.0.0/1823.120.0.1 to 23.120.63.25423.120.63.25516,382
9823.120.64.0/1823.120.64.1 to 23.120.127.25423.120.127.25516,382
9923.120.128.0/1823.120.128.1 to 23.120.191.25423.120.191.25516,382
10023.120.192.0/1823.120.192.1 to 23.120.255.25423.120.255.25516,382
10123.121.0.0/1823.121.0.1 to 23.121.63.25423.121.63.25516,382
10223.121.64.0/1823.121.64.1 to 23.121.127.25423.121.127.25516,382
10323.121.128.0/1823.121.128.1 to 23.121.191.25423.121.191.25516,382
10423.121.192.0/1823.121.192.1 to 23.121.255.25423.121.255.25516,382
10523.122.0.0/1823.122.0.1 to 23.122.63.25423.122.63.25516,382
10623.122.64.0/1823.122.64.1 to 23.122.127.25423.122.127.25516,382
10723.122.128.0/1823.122.128.1 to 23.122.191.25423.122.191.25516,382
10823.122.192.0/1823.122.192.1 to 23.122.255.25423.122.255.25516,382
10923.123.0.0/1823.123.0.1 to 23.123.63.25423.123.63.25516,382
11023.123.64.0/1823.123.64.1 to 23.123.127.25423.123.127.25516,382
11123.123.128.0/1823.123.128.1 to 23.123.191.25423.123.191.25516,382
11223.123.192.0/1823.123.192.1 to 23.123.255.25423.123.255.25516,382
11323.124.0.0/1823.124.0.1 to 23.124.63.25423.124.63.25516,382
11423.124.64.0/1823.124.64.1 to 23.124.127.25423.124.127.25516,382
11523.124.128.0/1823.124.128.1 to 23.124.191.25423.124.191.25516,382
11623.124.192.0/1823.124.192.1 to 23.124.255.25423.124.255.25516,382
11723.125.0.0/1823.125.0.1 to 23.125.63.25423.125.63.25516,382
11823.125.64.0/1823.125.64.1 to 23.125.127.25423.125.127.25516,382
11923.125.128.0/1823.125.128.1 to 23.125.191.25423.125.191.25516,382
12023.125.192.0/1823.125.192.1 to 23.125.255.25423.125.255.25516,382
12123.126.0.0/1823.126.0.1 to 23.126.63.25423.126.63.25516,382
12223.126.64.0/1823.126.64.1 to 23.126.127.25423.126.127.25516,382
12323.126.128.0/1823.126.128.1 to 23.126.191.25423.126.191.25516,382
12423.126.192.0/1823.126.192.1 to 23.126.255.25423.126.255.25516,382
12523.127.0.0/1823.127.0.1 to 23.127.63.25423.127.63.25516,382
12623.127.64.0/1823.127.64.1 to 23.127.127.25423.127.127.25516,382
12723.127.128.0/1823.127.128.1 to 23.127.191.25423.127.191.25516,382
12823.127.192.0/1823.127.192.1 to 23.127.255.25423.127.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses